Page MenuHomePhabricator

Lots of Title::purgeExpiredRestriction from API DELETE FROM `page_restrictions` WHERE (pr_expiry < '20160517063108') without batching/throttling potentially causing lag on s5-api
Closed, ResolvedPublic

Description

This could also cause network issues due to purging.

Event Timeline

jcrespo created this task.May 17 2016, 6:45 AM
Restricted Application added a project: Operations. · View Herald TranscriptMay 17 2016, 6:45 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
jcrespo added a comment.EditedMay 17 2016, 7:20 AM

There were hundreds of queries in the last hour, the largest ones taking 15 seconds:

db1049	wikiuser	dewiki	mw1226	-	195772733	59961145543	15s	2016-05-17 06:29:54
DELETE /* Title::purgeExpiredRestrictions Doc Taxon */ FROM `page_restrictions` WHERE (pr_expiry < '20160517062948')
This comment was removed by jcrespo.
Joe triaged this task as High priority.May 17 2016, 10:44 AM

Change 289170 had a related patch set uploaded (by Aaron Schulz):
Limit DELETE in purgeExpiredRestrictions() and use primary key

https://gerrit.wikimedia.org/r/289170

Change 289170 merged by jenkins-bot:
Limit DELETE in purgeExpiredRestrictions() and use primary key

https://gerrit.wikimedia.org/r/289170

jcrespo added a subscriber: aaron.May 26 2016, 1:12 PM

I would say this is fixed, but let @aaron close it just in case.

aaron closed this task as Resolved.May 26 2016, 6:28 PM
aaron claimed this task.